local excam = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")

function onBegin()
	if (getFlag("greenguyTalked",true) and not getFlag("greenguyTalkedAgain",true)) then
	disableMovement()
	disableRetry()
	-- zoom to a point x, y, amount, duration
	playMusic("event:/CrossoverCollab/Earthblade/Poison_in_the_Roots",0)
	coroutine.yield(excam.Level_ZoomToFocus(getLevel(), vector2 (3160,-48), 1.1, 1))
	say("CC_Earthblade_pathblocked")
	coroutine.yield(excam.Level_ZoomBack(getLevel(), 1)) 
	setFlag("pathblocked",true)
	end
end
	
function onEnd(wasSkipped)
	if wasSkipped and (getFlag("greenguyTalked",true) and not getFlag("greenguyTalkedAgain",true)) then
		setFlag("pathblocked",true)
	end
	enableMovement()
	enableRetry()
end